CountTogether Public API Help

GET /v2/counters/{counterId}

Returns a single flat Counter object.

curl -H "Authorization: Bearer YOUR_TOKEN" \ "https://developers.counttogether.app/v2/counters/018f5b54-9b11-7c33-b347-a2b4e2a6a111?timezone=Europe/Berlin"

Query Parameters

Parameter

Required

Description

timezone

No

IANA timezone name. Falls back to the user's account timezone.

Successful Response (200)

{ "id": "018f5b54-9b11-7c33-b347-a2b4e2a6a111", "name": "Daily Steps", "type": "UpDown", "value": 12450, "created": "2025-01-01T00:00:00Z" }

Field Reference

Field

Type

Description

id

string (UUID v7)

Unique counter identifier

name

string

Human readable name

type

enum

UpDown, FromDate, or ToDate

value

number

Resolved counter value (timezone-aware for date counters)

startDate

string (date)

Only present for FromDate counters

endDate

string (date)

Only present for ToDate counters

created

string (ISO 8601 UTC)

Counter creation timestamp

Errors

HTTP

Reason

401

Missing or invalid token

404

Counter not found or not accessible

21 April 2026